/* 
 * Implémentation des fonctions natives
 * pour les API java.net.*
 */

#include <u.h>
#include <libc.h>
#include <bio.h>
#include <ndb.h>

#include "java_const.h"
#include "runtime.h"
#include "fns.h"
#include "native.h"

#include "api_net.h"

static void convIP(char *addr, int *t);

/* *************************************************************
 * 
 * JAVA.NET.PLAINSOCKETIMP
 *
 */
void
java_net_PlainSocketImpl_socketCreate(arg_list args)
{
	USED(args);
	/* je ne fais rien */
}

/* *************************************************************
 * 
 * JAVA.NET.INETADRESS
 *
 */

void
java_net_InetAdress_makeAnyLocalAddress(arg_list args)
{
	Object *o_addr		= arg_value(args, Object *);

	API_JavaInetAdress *addr = U(API_JavaInetAdress, o_addr);
	char *name;
	Object *str;

	name = getenv("sysname");
	str = makeJavaString(name);
	addr->hostname = str;
	print("makeAnyLocalAddress()\n");

	return;
}

int
java_net_InetAdress_getInetFamily(arg_list args)
{
	USED(args);
	print("getInetFamily() -> 1\n");
	return 1;
}

Object *
java_net_InetAdress_getLocalHostName(arg_list args)
{
	char *name;
	Object *string;
	USED(args);

	name = getenv("sysname");
	print("getLocalHostName() -> %s\n", name);
	string = makeJavaString(name);

	return string;
}

Object *
java_net_InetAdress_lookupAllHostAddr(arg_list args)
{
	Object *str = arg_value(args, Object *);

	char name[128], buf[Ndbvlen];
	Ndbtuple *nt, *pt;
	Object *new_array;
	int i, length, count, tab[4];

	javaString2CString(str, name, sizeof name);
	//strcat(name, ".mime.univ-paris8.fr");
	print("lookupAllHostAddr(%s)\n", name);
	
	nt = csgetval("sys", name, "", buf);
	if( !nt )
		panic("error csgetval\n");

	pt = nt; length = 0;
	while( pt ){
		if( !strcmp("ip", pt->attr) )
			length++;
		pt = pt->entry;
	}

	new_array = newObjectArray((ClassFile *)1, length);	
	pt = nt; count = 0;
	while( pt ){
		print("%s = %s\n", pt->attr, pt->val);
		if( !strcmp("ip", pt->attr) ){
			Object *obj = newArray(T_BYTE, 4);

			convIP(pt->val, tab);
			for(i = 0 ; i < 4 ; i++)
				((uchar *)obj->vars)[i] = (uchar)tab[i];

			new_array->vars[count] = (int)obj;
			count += 1;
		}	
		pt = pt->entry;
	}
	
	//panic("stop\n");
	return new_array;
}


static void
convIP(char *addr, int *t)
{
	char *s, *pt;
	int i, count;

	print("%s -> ", addr);

	s = pt = addr;
	count = 0;

	while( *pt ){
		if( *pt == '.' ){
			*pt = 0;
			t[count++] = atoi(s);
			s = pt + 1;
		}
		pt += 1;
	}
	t[count++] = atoi(s);

	for(i=0; i < 4 ; i++)
		print("%d ", t[i]);
	print("\n");
	
	if( count != 4 )
		panic("bad address in conIp()\n");
}