/* 
 * Implémentation des fonctions natives
 * pour les API java.util.*
 */

#include <u.h>
#include <libc.h>
#include <lock.h>
#include <auth.h>
#include <fcall.h>

#include "java_const.h"
#include "runtime.h"
#include "fns.h"
#include "native.h"

#include "api_util.h"


/* *************************************************************
 * 
 * JAVA.UTIL.DATE
 *
 */

void
java_util_Date_expand(arg_list args)
{
	Object *	this 	= arg_value(args, Object *);

	API_JavaUtilDate *date = U(API_JavaUtilDate, this);
	Tm *times;

	times = localtime(date->value/1000);
	
	date->tm_millis = 0;
	date->tm_sec 	= times->sec;
	date->tm_min 	= times->min;
	date->tm_hour 	= times->hour;
	date->tm_mday 	= times->mday;
	date->tm_mon 	= times->mon;
	date->tm_wday 	= times->wday;
	date->tm_yday 	= times->yday;
	date->tm_year	= times->year;
	date->tm_isdst	= -1; /* pourquoi pas ? */

	date->expanded = 1;
}

void
java_util_Date_computeValue(arg_list args)
{
	Object *	this 	= arg_value(args, Object *);

	USED(this);
	
	panic("java_util_Date_computeValue() not yet implemented.\n");
}

Object *
java_util_Date_toString(arg_list args)
{
	Object *	this 	= arg_value(args, Object *);

	API_JavaUtilDate *date = U(API_JavaUtilDate, this);
	char *pt;

	pt = ctime(date->value / 1000);
	*(pt + 28) = 0;

	return makeJavaString(pt);
}

Object *
java_util_Date_toLocalString(arg_list args)
{
	Object *	this 	= arg_value(args, Object *);

	API_JavaUtilDate *date = U(API_JavaUtilDate, this);
	Tm *tm;
	char *pt;

	tm = localtime(date->value / 1000);
	pt = asctime(tm);
	*(pt + 28) = 0;

	return makeJavaString(pt);
}

Object *
java_util_Date_toGMTString(arg_list args)
{
	Object *	this 	= arg_value(args, Object *);

	API_JavaUtilDate *date = U(API_JavaUtilDate, this);
	Tm *tm;
	char *pt;

	tm = gmtime(date->value / 1000);
	pt = asctime(tm);
	*(pt + 28) = 0;

	return makeJavaString(pt);
}