#include <u.h>
#include <libc.h>
#include <lock.h>

#include "java_const.h"
#include "runtime.h"
#include "fns.h"

void 
throwException(Frame *f, char *class_name)
{
	ClassFile *c;
	Object *e;

	print("throwing %s\n", class_name);
	//abort();
	/* chargement, linkage et init. de la classe */
	c = lookupClass(class_name);
	if( !c )
		panic("can't find class %s\n", class_name);

	/* création de l'objet et resolution */
	e = newObject(c);
			
	executeConstructor(e, "()V");

	f->opstack[f->opstack_pt] = (int)e;
	f->exception = e;
}


