typedef struct zip zip;
typedef struct zipdir zipdir;

struct zipdir {
	char *filename;
	int len;
	long off;
};

struct zip {
	char *filename;
	int fd;
	zipdir *dir;
	int ndir;
	long cenoff;
	long endoff;
};

#define max(a, b)	((((a) > (b))) ? (a) : (b))
#define min(a, b)	((((a) < (b))) ? (a) : (b))

#define SIGSIZE 4
#define ENDSIG "PK\005\006"
#define LOCSIG "PK\003\004"

#define ENDHDRSIZE	22
#define CENHDRSIZE	46
#define LOCHDRSIZE	30


/*
 * Header field access macros
 */
#define CH(b, n) (((unsigned char *)(b))[n])
#define SH(b, n) (CH(b, n) | (CH(b, n+1) << 8))
#define LG(b, n) (SH(b, n) | (SH(b, n+2) << 16))

/*
 * central directory header (CEN) fields
 */
#define CENLEN(b) LG(b, 24)	    /* uncompressed size */
#define CENNAM(b) SH(b, 28)	    /* length of filename */
#define CENEXT(b) SH(b, 30)	    /* length of extra field */
#define CENCOM(b) SH(b, 32)	    /* file comment length */
#define CENOFF(b) LG(b, 42)	    /* offset of local header */

/*
 * local file header (LOC) fields
 */
#define LOCNAM(b) SH(b, 26)	    /* filename size */
#define LOCEXT(b) SH(b, 28)	    /* extra field size */

/*
 * end of central directory header (END) fields
 */
#define ENDSUB(b) SH(b, 8)	    /* number of entries on this disk */
#define ENDTOT(b) SH(b, 10)	    /* total number of entries */
#define ENDSIZ(b) LG(b, 12)	    /* central directory size */
#define ENDOFF(b) LG(b, 16)	    /* central directory offset */
#define ENDCOM(b) SH(b, 20)	    /* size of zip file comment */

zipdir *zipLookup(zip *, char *);
zip *zipOpen(char *);